Public Member Functions | Protected Member Functions | Private Types | Private Attributes | List of all members
libebook::GroupContent Class Reference
Inheritance diagram for libebook::GroupContent:

## Public Member Functions
| GroupContent ()
virtual | ~GroupContent ()
void | add (const FB2Content *content)
Public Member Functions inherited from libebook::FB2Content
virtual | ~FB2Content ()=0

## Protected Member Functions
virtual void | unfold (FB2Collector &collector) const
| Insert the content of this into `collector`. More...

## Private Types
typedef std::deque< const FB2Content * > | List_t

## Private Attributes
List_t | m_items

## Member Typedef Documentation

## § List_t

typedef std::deque<const FB2Content *> libebook::GroupContent::List_t
| private

## Constructor & Destructor Documentation

## § GroupContent()

libebook::GroupContent::GroupContent | ( |  | ) |

## § ~GroupContent()

libebook::GroupContent::~GroupContent | ( |  | ) |
| virtual

## Member Function Documentation

## § add()

void libebook::GroupContent::add | ( | const FB2Content * | content | ) |

Referenced by libebook::FB2ExtrasCollector::closeParagraph(), and libebook::FB2ExtrasCollector::insertText().

## § unfold()

void libebook::GroupContent::unfold | ( | FB2Collector & | collector | ) | const
| protected virtual

Insert the content of this into `collector`.

Implements libebook::FB2Content.

## Member Data Documentation

## § m_items

List_t libebook::GroupContent::m_items
| private

Referenced by add(), unfold(), and ~GroupContent().

The documentation for this class was generated from the following file:

- FB2ExtrasCollector.cpp